package io.renren.modules.dataSet.enumeration;

/**
 * @Author: seamew
 * @Title: DataSetType
 * @CreateTime: 2023年09月19日 22:38:00
 * @Description: 数据集枚举类
 * @Version: 1.0
 */
public enum DataSetType {
    STATIC_DATASET("dataset", ""),
    DYNAMIC_DATASET("dydataset", ""),
    FILE_DATASET("dataset", "单文件"),
    DIR_DATASET("dataset", "文件夹"),
    ALG_DATASET("algorithm", "");

    private final String bucketName;

    private final String classificationName;

    DataSetType(String bucketName, String classificationName) {
        this.bucketName = bucketName;
        this.classificationName = classificationName;
    }

    public String getBucketName() {
        return bucketName;
    }

    public String getClassificationName() {
        return classificationName;
    }
}
